Opened 9 years ago

Closed 9 years ago

#28800 closed defect (fixed)

gimp-app 2.6.11 build fails on Snow Leopard

Reported by: ryandesign (Ryan Schmidt) Owned by: ryandesign (Ryan Schmidt)
Priority: Normal Milestone:
Component: ports Version: 1.9.2
Keywords: Cc: markus.falb@…, james.r.haigh@…, jeremyhu (Jeremy Huddleston Sequoia)
Port: gimp-app

Description

Building gimp-app 2.6.11 fails on Snow Leopard:

--->  Building gimp-app
DEBUG: build phase started at Tue Mar 15 17:53:45 CDT 2011
DEBUG: Executing proc-pre-org.macports.build-build-0

=== CLEAN NATIVE TARGET ScriptExec OF PROJECT ScriptExec WITH THE DEFAULT CONFIGURATION (Release) ===
Check dependencies
GCC 4.2 is not compatible with the Mac OS X 10.4 SDK (file main.m)
GCC 4.2 is not compatible with the Mac OS X 10.4 SDK (file main.m)
** CLEAN FAILED **

gimp-app shouldn't be trying to use the 10.4u SDK on Snow Leopard.

Change History (10)

comment:1 Changed 9 years ago by jeremyhu (Jeremy Huddleston Sequoia)

I only have a 10.6 SDK on my machine, and it built fine. Do you have the 10.4u SDK chosen in macports.conf?

comment:2 Changed 9 years ago by jeremyhu (Jeremy Huddleston Sequoia)

Yeah, I built it just fine on my Leopard/i386 machine with XCode 3.1 (which has a 10.4u SDK, but it didn't use it) and my SL/x86_64 machine with XCode 4 (which has no 10.4 SDK).

comment:3 in reply to:  2 Changed 9 years ago by ryandesign (Ryan Schmidt)

Replying to jeremyhu@…:

I only have a 10.6 SDK on my machine, and it built fine. Do you have the 10.4u SDK chosen in macports.conf?

Certainly not. I don't even have any kind of setting related to the SDK in my macports.conf.

Replying to jeremyhu@…:

Yeah, I built it just fine on my Leopard/i386 machine with XCode 3.1 (which has a 10.4u SDK, but it didn't use it)

Are you sure it didn't use it?

and my SL/x86_64 machine with XCode 4 (which has no 10.4 SDK).

I guess the absence of the 10.4 SDK on your machine is why it built for you. I do have the 10.4u SDK installed, and GIMPskel/ScriptExecCocoa/ScriptExec.xcodeproj/project.pbxproj does request the 10.4u SDK. Maybe just removing that request from the pbxproj would fix it.

comment:4 Changed 9 years ago by jeremyhu (Jeremy Huddleston Sequoia)

Owner: changed from jeremyhu@… to ryandesign@…

Weird. I'd expect xcodebuild to barf if it couldn't find the SDK.

Would you mind giving it a try, since I don't have a machine that hits this build failure.

comment:5 Changed 9 years ago by markus.falb@…

Cc: markus.falb@… added

Cc Me!

comment:6 Changed 9 years ago by james.r.haigh@…

Cc: james.r.haigh@… added

Cc Me!

comment:7 Changed 9 years ago by james.r.haigh@…

I have exactly the same problem:

--->  Building gimp-app

=== CLEAN NATIVE TARGET ScriptExec OF PROJECT ScriptExec WITH THE DEFAULT CONFIGURATION (Release) ===
Check dependencies
GCC 4.2 is not compatible with the Mac OS X 10.4 SDK (file main.m)
GCC 4.2 is not compatible with the Mac OS X 10.4 SDK (file main.m)
** CLEAN FAILED **

shell command "cd /opt/local/var/macports/build/_opt_local_var_macports_sources_rsync.macports.org_release_ports_aqua_gimp-app/work/GIMPskel/ScriptExecCocoa && /usr/bin/xcodebuild clean" returned error 1
Error: Target org.macports.build returned: shell command failed (see log for details)
Warning: the following items did not execute (for gimp-app): org.macports.activate org.macports.build org.macports.destroot org.macports.install
Error: Failed to install gimp-app
Log for gimp-app is at: /opt/local/var/macports/logs/_opt_local_var_macports_sources_rsync.macports.org_release_ports_aqua_gimp-app/main.log
Error: The following dependencies were not installed: gimp-app gimp-jp2 gimp-lqr-plugin liblqr gtk-nodoka-engine coreutils gutenprint icns-gimp ufraw cfitsio dcraw exiv2 gtkimageview xsane sane-backends libusb-compat libusb
Error: Status 1 encountered during processing.
To report a bug, see <http://guide.macports.org/#project.tickets>

comment:8 Changed 9 years ago by james.r.haigh@…

PS. This is on 10.6.5. Trying to install gimp2.

comment:9 Changed 9 years ago by james.r.haigh@…

I mean: "Trying to install port 'gimp'."

BTW, Software Update has recently installed 'Xcode Update' 3.2.6. Maybe this is related but I didn't install Gimp before the update so I can't confirm.

HTH.

comment:10 Changed 9 years ago by ryandesign (Ryan Schmidt)

Cc: jeremyhu@… added
Resolution: fixed
Status: newclosed
Note: See TracTickets for help on using tickets.